package com.simuwang.daq.components.report.writer;

import cn.hutool.core.map.MapUtil;
import com.simuwang.base.common.enums.ReportType;

import java.util.Map;

public final class ReportWriterConstant {
    public static final Map<ReportType, String> REPORT_TYPE_BEAN_MAP = MapUtil.newHashMap(8);

    static final String WRITER_MONTHLY = "report-writer:monthly";
    static final String WRITER_QUARTERLY = "report-writer:quarterly";
    static final String WRITER_ANNUALLY = "report-writer:annually";

    static {
        REPORT_TYPE_BEAN_MAP.put(ReportType.MONTHLY, WRITER_MONTHLY);
        REPORT_TYPE_BEAN_MAP.put(ReportType.QUARTERLY, WRITER_QUARTERLY);
        REPORT_TYPE_BEAN_MAP.put(ReportType.ANNUALLY, WRITER_ANNUALLY);
    }
}
